"use client";
import { jsx as r } from "react/jsx-runtime";
import t from "react";
import { ScienceClientCursor as u } from "./components/ScienceClientCursor.es.js";
import { ScienceServerCursor as c } from "./components/ScienceServerCursor.es.js";
function p({ children: e, backgroundImage: o, cursorLink: i }) {
  const [s, n] = t.useState(!1);
  return t.useEffect(() => {
    n(!0);
  }, []), s ? /* @__PURE__ */ r(u, { backgroundImage: o, cursorLink: i, children: e }) : /* @__PURE__ */ r(c, { children: e });
}
export {
  p as ScienceHeroCursor
};
